$(DISTROFILES): distrofiles

# no esta funcionando ver
DISTCLEANFILES = *~ data/*~

$(PACKAGE)-$(VERSION).tar.gz:  dist
#	make dist


tgz: distrofiles
	tar -C /tmp/${BUILD_ROOT} -czvf  $(PACKAGE)-$(VERSION)-$(RELEASE)-${host}.tgz .

tbz: distrofiles
	tar -C /tmp/${BUILD_ROOT} -cjvf  $(PACKAGE)-$(VERSION)-$(RELEASE)-${host}.tbz .

txz: distrofiles
	tar -C /tmp/${BUILD_ROOT} -cJvf  $(PACKAGE)-$(VERSION)-$(RELEASE)-${host}.txz .


pkgprepare:
	if test "x${BUILD_ROOT}" != "x" -a "x${BUILD_ROOT}" != "x.." ; then\
	   rm -rf /tmp/${BUILD_ROOT}/*; \
	fi
	make DESTDIR=/tmp/${BUILD_ROOT} install

pkginstall: pkgprepare

#if NOTSUMAPACK
#distrofiles: bindistros
#else !NOTSUMAPACK

distrofiles: $(PACKAGE).summa pkgac.dat.in configure.ac pkgprepare
	pkginfo /tmp/${BUILD_ROOT}; RESULTA=$$? ;\
	if test "x$$RESULTA" != "x0" ; then \
	     > $(PACKAGE).spec; >  $(PACKAGE).pc.in; > debian/control; > $(PACKAGE).ebuild \
             > install/slack-desc; >  $(PACKAGE).lsm;\
		mkdir -p /tmp/${BUILD_ROOT}/debian;\
	     > /tmp/${BUILD_ROOT}/debian/control ;\
	fi 


#doc contrib binaux

# cada persona debe poner diferente distid

#PARA CHANGELOG poner en dist
#contrib/svn2cl/svn2cl.sh


#aclocaldir=
#aclocal_DATA=acinclude.m4


#dist_doc_DATA=README no es necesario README se distribuye solo


#all: ChangeLog

#ChangeLog: configure.ac
#	contrib/svn2cl/svn2cl.sh -i --authors=contrib/svn2cl/authors.xml


# es incorrecto lo de configure ac, hay que ver como se actualiza con cada upodate o algo asi



#dist-hook:
#	contrib/svn2cl/svn2cl.sh

#dist-hook:
#	echo "dsa" > distid
#	date "+%Y.%j" > distnewversion


#	make dist

# esto molesta conla version del svn porque tiene :

#rpmdir=/usr/src/packages
#rpmworkdir=$(rpmdir)/BUILD

# ver target host build
#targets= $(host_cpu)
#i586 i686 x86_64 ppc ppc64 athlon

#target= $(host_cpu)

#poner en paquete e instalar, junto con detectahttpd e infosys

#echo "Creating Slackware package:  ${TARGET_NAME}/${TAR_NAME}.${EXTENSION}"
#echo
# usa solo tar-1.13, sin ./ adelante
#rm -f ${TARGET_NAME}/${TAR_NAME}.${EXTENSION}

#  $TAR cvf - . | gzip -9c > ${TARGET_NAME}/${TAR_NAME}.${EXTENSION}
#  ERRCODE=$?
#  if [ ! $? = 0 ]; then
#    echo "ERROR:   returned error code $? -- makepkg failed."
#  fi

#  $TAR cvf - . | bzip2 -9c > ${TARGET_NAME}/${TAR_NAME}.${EXTENSION}
#  $TAR cvf - . | xz -c > ${TARGET_NAME}/${TAR_NAME}.${EXTENSION}

#packeteria slack

#	test $(id -u) = 0	# es root? testear en otros lados tambien
#test -a -f ${BUILD_ROOT}/debian/rules  

# en vez del punto poner ./nombredelpaquete.deb

#	rm sceptre-inenco.spec
#esta puesto porque tanto rpm como deb borran directorio de trabajo y sin esto no se rehace

deb:  distrofiles 	
	mkdir -p /tmp/${BUILD_ROOT}/DEBIAN
	cp /tmp/${BUILD_ROOT}/debian/control /tmp/${BUILD_ROOT}/DEBIAN
	dpkg-deb --build /tmp/${BUILD_ROOT} . ;  RESULTA=$$?;\
	if test "x$$RESULTA" != "x0" ; then \
	       echo Debe instalar sumapack para poder hacer deb asi, http://www.sumapack.org       ;\
	       rm $(PACKAGE).spec;\
	       exit 1;\
	fi
	rm $(PACKAGE).spec; exit 0

#	if test "x${DPKG}" != "x" ; then 

#dpkg se puede compilar e instalar sin problemas al menos en suse, bajar fuentes de debian
# hacer un paquete.diff.gz con el directorio debian
# sacar el dir debian del original
# sacar el nombre suse del paquete debian

#rpm source necesita archivo dist por source

# hacer rpm para redhat para suse, etc

rpm:    dist
#	mkdir -p ${rpmworkdir}
#	mkdir -p $(rpmdir)/SRPMS
#	cp $(PACKAGE)-$(VERSION).tar.gz ${rpmworkdir}
	SALIDAS=`rpmbuild -bs $(PACKAGE).spec  | awk -F' ' '/\/SRPMS\// {print $$2}'`  ; \
	if test "x$$SALIDAS" = "x" ; then \
	       echo Debe instalar sumapack para poder hacer rpm asi, http://www.sumapack.org       ;\
		rm $(PACKAGE).spec;\
               exit 1;\
	fi; \
	SALIDA=`rpmbuild -bb --buildroot /tmp/${BUILD_ROOT} --target ${host} $(PACKAGE).spec | awk -F' ' '/\/RPMS\// {print $$2}'`  ; \
	MINVERSION=`echo $(VERSION) |cut -d_ -f1`;\
	mv  $$SALIDA $(PACKAGE)-$$MINVERSION-$(RELEASE).${host}.rpm ;\
	mv  $$SALIDAS . ;
	rm $(PACKAGE).spec; exit 0







#	RELEASE=`echo $(VERSION) |cut -d_ -f2`;


#if test "x${RPMDIR}" != "x"; then \
#	else  \
#		echo "No tengo RPMDIR definido no puedo mover los paquetes aqui.";\
#	fi


#  RESULTA=$$?;\
#	if test "x$$RESULTA" != "x0" ; then \
#		echo RR $$RESULTA;\
#	       echo Debe instalar sumapack para poder hacer rpm asi, http://www.sumapack.org       ;\
#		rm $(PACKAGE).spec\
#              exit 1;\
#	fi 
# ${RPMDIR}/RPMS/${host_cpu}/$(PACKAGE)-$$MINVERSION-$$RELEASE.${host_cpu}.rpm
# ${RPMDIR}/SRPMS/$(PACKAGE)-$$MINVERSION-$$RELEASE.src.rpm
#
#	); done;
#\		cp $(rpmdir)/RPMS/$$target/$(PACKAGE)-$(VERSION)*.$$target.rpm .   \
#alien para deb?

# llamarlo to install y que dependa deconfg.log y de configure.ac

#toinstall: configure.ac config.log
#	./configure |awk -F: '/Needs:/ {print $$3}' >./toinstall


#####################3 ver roseta sp babel

prepare: 
	sp

#	#./configure


# ojo no actualiza detectahttpd ni infosis cuando se los cambia

#./configure; make prepare

#  cuando toinstall no cambie mas ya no se circula mas, llamar ./configure; make prepare, para que solo termine el problema
# y circular indefinidamente

#preinstall:


binpackages: rpm deb tgz tbz txz 

#endif !NOTSUMAPACK
